import request from '@/config/axios'

// export const getHrHomePageInfo = () => {
//   return request.get({ url: '/hr/employee/homePageInfo' })
// }
//待我处理
export const getMyTodoCount = (params) => {
  return request.get({ url: '/bpm/process-instance/myTodoCount?category=device', params })
}
//我发起的
export const getLaunchCount = (params) => {
  return request.get({ url: '/bpm/process-instance/launchCount?category=device', params })
}
//抄送我的
export const getMyCarbonCount = (params) => {
  return request.get({ url: '/bpm/process-instance/myCarbonCount?category=device', params })
}

//设备首页接口
export const getDeviceInfoHome = (params) => {
  return request.get({ url: '/device/info/home', params })
}

//设备首页设备统计趋势数据
export const getDeviceInfoHomeTrend = (params) => {
  return request.get({ url: '/device/info/home/trend', params })
}

//设备首页维修工单趋势数据
export const getDeviceInfoHomeTicket = (params) => {
  return request.get({ url: '/device/info/home/ticket', params })
}

//设备首页保养任务趋势数据
export const getDeviceInfoHomeTask = (params) => {
  return request.get({ url: '/device/info/home/maintenance/task', params })
}

//设备首页巡检任务趋势数据
export const getDeviceInfoHomeInspectionTask = (params) => {
  return request.get({ url: '/device/info/home/inspection/task', params })
}
